Page MenuHomePhabricator

Write documentation for Excimer
Closed, ResolvedPublic

Description

  • On-wiki documentation, probably at https://www.mediawiki.org/wiki/Excimer. Can probably refer to the docbook or doxygen documentation for most details.
  • Phpdoc stubs, for phan and IDEs and doc.wikimedia.org.
  • Docbook documentation, for php.net (once this is in pecl).

Things to remember to mention in the documentation for various methods:

  • Which ExcimerProfiler and ExcimerTimer property-setter methods take effect immediately versus only after start() is re-called.
    • Immediately: setMaxDepth, setFlushCallback, setCallback
    • After restart: setPeriod, setInterval, setEventType
  • ExcimerLog::offsetExists() will warn if passed a string, contrary to the interface's documentation.
  • ExcimerLog::offsetSet() and ExcimerLog::offsetUnset() are unusable and raise errors.
  • ExcimerLogEntry::getTimestamp() always returns wall time, or more specifically "unsuspended seconds since the ExcimerProfiler was created". This is intentional, see details in T205059.

Details

Related Gerrit Patches:
mediawiki/php/excimer : masterAdd documentation in the form of PHP stubs

Related Objects

Event Timeline

Anomie created this task.Oct 19 2018, 5:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2018, 5:08 PM
CCicalese_WMF triaged this task as Normal priority.
EvanProdromou removed EvanProdromou as the assignee of this task.Jul 29 2019, 1:41 PM
EvanProdromou added a subscriber: EvanProdromou.

I'm quitting this job I shouldn't have taken in the first place. I think it'd be a great first task for our soon-to-be-hired tech writer.

Change 533147 had a related patch set uploaded (by Tim Starling; owner: Tim Starling):
[mediawiki/php/excimer@master] Add documentation in the form of PHP stubs

https://gerrit.wikimedia.org/r/533147

Change 533147 merged by jenkins-bot:
[mediawiki/php/excimer@master] Add documentation in the form of PHP stubs

https://gerrit.wikimedia.org/r/533147

Anomie closed this task as Resolved.Sep 5 2019, 5:15 PM
Anomie assigned this task to tstarling.